Function FieldScriptButton()
 	Dim lDomDocument 'MSXML2.DomDocument40
	Dim lReturnValue 'String
	Dim lHostApplication 'String
	Dim lInputValue 'String
	
	MsgBox XMLParameters.XMLParameterString
	
    Set lDomDocument = CreateObject("MSXML2.DOMDocument.4.0")
	lDomDocument.loadXML XMLParameters.XMLParameterString

    If (Not(lDomDocument Is Nothing)) Then
    
    	lHostApplication = lDomDocument.documentElement.selectSingleNode("HostApplication").Attributes.getNamedItem("Value").Text
    
    	if (lHostApplication = "DocumentWizard") Then
    
	        MsgBox "Aktueller Wert des script-Feldes: " & _
	                    lDomDocument.documentElement.selectSingleNode( _
	                        "MasterProperties/MasterProperty[@IDName=""CustomField""]/" & _
	                        "Field[@Name=""External""]").Attributes.getNamedItem("Value").text
	        MsgBox "Aktueller Wert der Unterschrift 1 - Funktion: " & _
	                    lDomDocument.documentElement.selectSingleNode( _
	                        "MasterProperties/MasterProperty[@IDName=""Signature1""]/" & _
	                        "Field[@Name=""Function""]").Attributes.getNamedItem("Value").text
	        MsgBox "Aktueller Wert der Unterschrift 1 - Name wird gendert auf: ""Mein Name"""
		
	
			lReturnValue = 	"<ParameterDefinitions>" & _
		                    	"<MasterProperties>" & _
			                       	"<MasterProperty IDName=""Signature1"">" & _
			                           	"<Field Name=""Name"" Value=""Mein Name""/>" & _
									"</MasterProperty>" & _
			                       	"<MasterProperty IDName=""CustomField"">" & _
			                           	"<Field Name=""External"" Value=""ein neuer Wert - vom gedrckten Button""/>" & _
			                           	"<Field Name=""No"" Value=""Ein Test""/>" & _
			                           	"<Field Name=""ShowTimes"" Value=""-1""/>" & _
	        	                   	"</MasterProperty>" & _
			                       	"<MasterProperty IDName=""Recipient"">" & _
			                           	"<Field Name=""LastName"" Value=""ein neuer Wert""/>" & _
	        	                   	"</MasterProperty>" & _
	            	           "</MasterProperties>" & _
								"<WordCustomDocumentProperties>" & _
									"<WordCustomDocumentProperty Name=""TestProperty"" Value=""Der Wert der Dokumenteigenschaft""/>" & _
								"</WordCustomDocumentProperties>" & _
								"<WordBuiltInDocumentProperties>" & _
									"<WordBuiltInDocumentProperty Name=""Keywords"" Value=""jemand anders""/>" & _
									"<WordBuiltInDocumentProperty Name=""Hyperlink Base"" Value=""jemand anders""/>" & _
								"</WordBuiltInDocumentProperties>" & _
								"<WordVariables>" & _
									"<WordVariable Name=""TestVariable"" Value=""einfach ein Wert der Variable""/>" & _
								"</WordVariables>" & _
								"<WordBookmarks>" & _
									"<WordBookmark Name=""Subject"" Value=""Einfach der Betreff""/>" & _
								"</WordBookmarks>" & _
	            		"</ParameterDefinitions>"

		ElseIf (lHostApplication = "SmartTemplateManager") Then
		
			lInputValue = Inputbox("Value:")
		
			lReturnValue = 	"<ParameterDefinitions>" & _
		                    	"<MasterProperties>" & _
			                       	"<MasterProperty IDName=""CustomField"">" & _
			                           	"<Field Name=""External"" Value=""" & lInputValue & """/>" & _
			                           	"<Field Name=""Ref"" Value=""Ref." & lInputValue & """/>" & _
			                           	"<Field Name=""No"" Value=""No." & lInputValue & """/>" & _
	        	                   	"</MasterProperty>" & _
	            	           "</MasterProperties>" & _
	            			"</ParameterDefinitions>"
			
		
		End If

    
    	XMLParameters.XMLParameterString = lReturnValue
    
    End If

End Function


Function FieldScriptOnActivate()

	Dim lReturnValue 'String

	lReturnValue = 	"<ParameterDefinitions>" & _
                    	"<MasterProperties>" & _
	                       	"<MasterProperty IDName=""CustomField"">" & _
	                           	"<Field Name=""External"" Value=""Das Feld wurde aktiviert""/>" & _
    	                   	"</MasterProperty>" & _
        	           "</MasterProperties>" & _
        		"</ParameterDefinitions>"

	XMLParameters.XMLParameterString = lReturnValue


End Function



Function FieldScriptOnDeactivate()

	Dim lReturnValue 'String

	lReturnValue = 	"<ParameterDefinitions>" & _
                    	"<MasterProperties>" & _
	                       	"<MasterProperty IDName=""CustomField"">" & _
	                           	"<Field Name=""External"" Value=""ein neuer Wert - FieldScriptOnDeactivate""/>" & _
    	                   	"</MasterProperty>" & _
	                       	"<MasterProperty IDName=""Recipient"">" & _
	                           	"<Field Name=""LastName"" Value=""ein neuer Wert""/>" & _
	                           	"<Field Name=""FirstName"" Value=""und dies ist der Vorname""/>" & _
    	                   	"</MasterProperty>" & _
        	           "</MasterProperties>" & _
        		"</ParameterDefinitions>"

	XMLParameters.XMLParameterString = lReturnValue
	
End Function



Function StepScriptOnActivate()
 	Dim lDomDocument 'MSXML2.DomDocument40

    Set lDomDocument = CreateObject("MSXML2.DOMDocument.4.0")
	lDomDocument.loadXML XMLParameters.XMLParameterString

    If (Not(lDomDocument Is Nothing)) Then
        MsgBox "Step Activate! " & _
        	   "Aktueller Wert des script-Feldes: " & _
                    lDomDocument.documentElement.selectSingleNode( _
                        "MasterProperties/MasterProperty[@IDName=""CustomField""]/" & _
                        "Field[@Name=""External""]").Attributes.getNamedItem("Value").text

		Set lDomDocument = Nothing
    
    End If
    
End Function



Function StepScriptOnDeactivate()
 	Dim lDomDocument 'MSXML2.DomDocument40

    Set lDomDocument = CreateObject("MSXML2.DOMDocument.4.0")
	lDomDocument.loadXML XMLParameters.XMLParameterString

    If (Not(lDomDocument Is Nothing)) Then
        MsgBox "Step Deactivate! " & _
        	   "Aktueller Wert des script-Feldes: " & _
                    lDomDocument.documentElement.selectSingleNode( _
                        "MasterProperties/MasterProperty[@IDName=""CustomField""]/" & _
                        "Field[@Name=""External""]").Attributes.getNamedItem("Value").text

		Set lDomDocument = Nothing
    
    End If
    
End Function